# QPointVal Class Reference

The QPointVal class is an internal class, used with QPointArray. More...

`#include <qpointarray.h>`

List of all member functions.

## Public Members

- QPointVal ( QPointData * ptr )
- bool operator== ( const QPointVal & point ) const
- bool operator!= ( const QPointVal & point ) const
- QPointVal& operator= ( const QPointVal & point )
- QPointVal& operator= ( const QPoint & point )
- QPointVal& operator+= ( const QPoint & point )
- QPointVal& operator-= ( const QPoint & point )
- operator QPoint ()const
- int x () const
- int y () const

## Detailed Description

The QPointVal class is an internal class, used with QPointArray.

The QPointVal is required by the indexing [] operator on point arrays. It is probably a bad idea to use it in any other context.

## Member Function Documentation

### QPointVal::QPointVal ( QPointData * ptr )

Constructs a reference to an element in a QPointArray. This is what QPointArray::operator[] contructs its return value with.

### QPointVal::operator QPoint () const

Returns the value of the point referenced by this QPointVal.

### QPointVal& QPointVal::operator+= ( const QPoint & point )

Vector-adds a given point to the value referenced by this QPointVal.

### QPointVal& QPointVal::operator-= ( const QPoint & point )

Vector-subtracts a given point to the value referenced by this QPointVal.

### QPointVal& QPointVal::operator= ( const QPoint & point )

Assigns a given point to the value referenced by this QPointVal.

### int QPointVal::x () const

Returns the X coordinate of the point referenced by this QPointVal.

### int QPointVal::y () const

Returns the Y coordinate of the point referenced by this QPointVal.

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qpointarray.h: 1998/12/08
- qpointarray.cpp: 1998/07/03